Bug 46433 - Add installation option from already mounted filesystem
Add installation option from already mounted filesystem
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-06-28 10:38 EDT by Michael E Brown
Modified: 2007-04-18 12:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-10 16:03:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael E Brown 2001-06-28 10:38:05 EDT
Description of Enhancement:
	As discussed on the Dell conference call on Tuesday, 26 June, one
additional feature we would like to see is "installation from arbitrary
filesystem". In our case, we would like to install from NCPFS filesystem. 

	The way that I think we could go about this is to boot a custom
kernel/initrd combination that that boots, configures the network, mounts
the filesytem, then calls 'loader' with an argument telling it where the
installation media is. It just so happens that we have already developed
this kernel/initrd from another project, so adding the steps necessary to
complete this option would be minimal from our end.

	So, the only thing we need in anaconda to support this would be an option
telling it that we have already taken care of mounting the install sources.
Comment 1 Matt Wilson 2001-07-10 16:03:18 EDT
the way to implement this is to design your own initrd that sets up the
mountpoints.  Then invoke anaconda with:

/usr/bin/anaconda -m dir://path/that/you/mounted/the/distro
Comment 2 Matt Wilson 2001-07-19 21:43:42 EDT
closing per our phone discussion

Note You need to log in before you can comment on or make changes to this bug.